Dansk Arch Linux forum

For det danske Arch Linux community

Du er ikke logget ind.


Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#1 10-07-2009 08:21:23

atte
Periodisk poster
Registreret: 05-06-2009
Indlæg: 32

pacman problemer, install af lftp ødelægger bash

Hejsa

Jeg fik lige brug for lftp (en ftp klient), og installerede den ved "pacman -S lftp". Den ville også installere readline 6, men tilsyneladende (http://bbs.archlinux.org/viewtopic.php?pid=579589) er er bash også afhængig af readline 5. Bash (dvs alle logins) virkede ikke, hvilket naturligvis var en anelse surt. Jeg opgradere bash og bash-completion og alt virker nu igen,

Mit spørgsmål: Hvordan garderer jeg mig i fremtiden mod den slags? Med andre ord: hvordan skulle jeg ha installeret lftp for ikke at have blevet bidt at dette?

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 333

#2 10-07-2009 08:39:31

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 780
Website

Re: pacman problemer, install af lftp ødelægger bash

Det er meget vigtigt at systemet er 100% opdateret inden du installere nye pakker. I Arch Linux har de færreste pakker informationer som "jeg skal bruge lige præcis den version af pakke x" eftersom udviklerne går ud fra at brugerne altid vil have de samme versioner af pakkerne som der ligger på serveren. Derfor er det vigtigt at du køre pacman -Syu min. et par gange om ugen og ellers en gang om dagen hvis du installere nye pakker. Desuden kan det være en god ide at tjekke på archlinux.org/archlinux.dk om der er sket nogen større pakkeopdateringer på det seneste. Dette kræver selvfølgelig et trænet øje da de fleste begyndere nok ikke lige ser at en opdatering af bash kan være en større opdatering.


Administrator for Archlinux.dk

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#3 10-07-2009 17:45:15

atte
Periodisk poster
Registreret: 05-06-2009
Indlæg: 32

Re: pacman problemer, install af lftp ødelægger bash

Det giver mening.

Jeg er imidlertid lige blevet bidt at en ikke-så-god opdatering med "pacman -Syu" (det er lidt for kompliceret at komme ind på her, måske starter jeg en anden tråd hvis jeg ikke kan leve med det). Så jeg havde håbet at man bare kunne gøre som jeg plejer i debian, installere pakker og så lade det rive en delvis opgradering af nødvendige pakker med sig.

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#4 10-07-2009 18:33:08

julemand101
Admin
Fra: Brabrand
Registreret: 18-04-2006
Indlæg: 780
Website

Re: pacman problemer, install af lftp ødelægger bash

Jeg på ingen måde anbefale at begynde på at kun opdatere de pakker som du synes er relevant. Du flytter bare problemerne til senere. Men du er velkommen til at skrive her eller starte en ny tråd omkring dit problem angående den "ikke-så-gode opdatering". Jeg er ret sikker på vi alle sammen har oplevet den slags eller vil komme til det. smile


Administrator for Archlinux.dk

Offline

 

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 348

Deprecated: preg_replace(): The /e modifier is deprecated, use preg_replace_callback instead in /home/vzn258/domains/archlinux.dk/public_html/forum/include/parser.php on line 349

#5 10-07-2009 21:06:26

atte
Periodisk poster
Registreret: 05-06-2009
Indlæg: 32

Re: pacman problemer, install af lftp ødelægger bash

Jeg har ikke i sinde at "gå mod strømmen", tvært-i-mod. Jeg skitserede blot min gamle debian praksis, som åbenbart ikke holder vand under arch. No problems :-)

Jeg vender tilbage med min mugne upgrade hvis det ikke løser sig/er løst.

Tak!

Offline

 

Board footer

Powered by FluxBB